<?php
if(isset($_POST['email'])) {
     
    ////// Fill information //////
    $email_to = "porvoo@life.fi";
    $email_subject = "Viesti kotisivultasi!";
    $page_url = "https://www.life.fi/porvoo";
    /////////////////////////////////////////////////
     
     
    function died($error) {
        echo "Olemme pahoillamme, mutta palautteen l&auml;hett&auml;misess&auml; tapahtui virhe. ";
        echo "Tapahtui alla olevat virheet.<br /><br />";
        echo $error."<br /><br />";
        echo "Ole hyv&auml ja korjaa virheet.<br /><br />";
        die();
    }
    
    //reCAPTCHA validation
    $secret = "6LfOEiwUAAAAAKxjIfWgxgs2wV2uPtrJEPbUjH-Q
";  //secret key
    $remoteip = $_SERVER["REMOTE_ADDR"]; // ip
    $url = "https://www.google.com/recaptcha/api/siteverify"; // verify url
    $captcharesponse = $_POST["g-recaptcha-response"]; // captcha response
     
    // reCAPTCHA remote validation
    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($curl, CURLOPT_POSTFIELDS, array( 'secret' => $secret, 'response' => $captcharesponse, 'remoteip' => $remoteip ));
    $curlData = curl_exec($curl);
    curl_close($curl);
     
    // response
    $recaptcha = json_decode($curlData, true);
     
    if ($recaptcha["success"]){
        // reCAPTCHA ok
    } else {
        // reCAPTCHA failed
        died('Lomakkeessa ilmeni virheit&auml;, yrit&auml; uudelleen.');
    }
     


    // Tarkistetaan botti-ansa
    if(isset($_POST['title']) && !empty($_POST['title'])) {
        died('Tarkista lomake uudelleen.');
    }
     
    // Vaaditut kentät
    if(!isset($_POST['name']) ||
        !isset($_POST['email']) ||
        //!isset($_POST['telephone']) ||
        !isset($_POST['comments'])) {
        died('Vaadittuja kentti&auml ei ole t&aumlytetty.');      
    }
    
    // Luodaan muuttujat
	$name = $_POST['name'];
	$email_from = $_POST['email'];
	$telephone = $_POST['telephone'];
	$comments = $_POST['comments']; 

    // Tarkistetaan ensin pahojen merkkien varalta.
	$combined = $name . $email . $comments;
	if(strpbrk($combined, '<>;')){
        died("Viesti sis&aumllt&auml&auml kiellettyj&auml erikoismerkkej&auml (mm. >, < ja ;)");
	};

    // Loput merkit muutetaan vaarattomaksi
	$name  = htmlspecialchars($name, ENT_QUOTES);
	if (!filter_var($email_from, FILTER_VALIDATE_EMAIL)){died('Tarkista s&aumlhk&oumlpostiosoite.');}
	$telephone = htmlspecialchars($telephone, ENT_QUOTES);
	$comments = htmlspecialchars($comments, ENT_QUOTES);

    // Onko kentät sen pituisia mitä sovittiin
    if(strlen($name) > 50 || strlen($comments > 800)) {
        died("Nimi tai viesti liian pitk&auml.");
    }

    // Onko viestikentt tyhjä
	if(strlen($comments) < 2) {
        died('Viesti ei ole kelvollinen.');
	}

    // Kasataan shkposti
    $email_message = "Lomaketiedot alla.\n\n";
     
    function clean_string($string) {
        $bad = array("content-type","bcc:","to:","cc:","href");
        return str_replace($bad,"",$string);
    }
     
    $email_message .= "Nimi: ".clean_string($name)."\n";
    $email_message .= "S&aumlhk&oumlposti: ".clean_string($email_from)."\n";
    $email_message .= "Puhelin: ".clean_string($telephone)."\n";
    $email_message .= "Viesti: ".clean_string($comments)."\n";
     
     
    // Pistetään viesti matkaan
    $headers = 'From: '.$email_from."\r\n".
    'Reply-To: '.$email_from."\r\n" .
    'Content-Type: text/plain; charset=UTF-8' . "\r\n" .
	'X-Mailer: PHP/' . phpversion();
    @mail($email_to, $email_subject, $email_message, $headers); 

    // Palataan sivulle ja ilmoitetaan viesti onnistuneeksi
    $page_url .= "?viesti=sent";
    header( "Location: $page_url" );
}
?>
